Bug 1722221 - Wrong error message when no API Version is provided in InstallConfig
Summary: Wrong error message when no API Version is provided in InstallConfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.z
Assignee: Abhinav Dahiya
QA Contact: sheng.lao
URL:
Whiteboard: 4.1.4
Depends On: 1723565
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-19 18:01 UTC by Patrick Dillon
Modified: 2019-07-04 09:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-04 09:01:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1635 None None None 2019-07-04 09:01:50 UTC

Description Patrick Dillon 2019-06-19 18:01:48 UTC
Creating a BZ to get https://github.com/openshift/installer/pull/1764 into 4.1 release.

If an install config is created without an APIVersion the error meessage is: " unexpected error cannot upconvert from version ". 

This is a confusing error message.

Comment 2 sheng.lao 2019-06-27 03:23:01 UTC
Verified it with version: 4.1.0-0.nightly-2019-06-26-214813

# openshift-install create cluster
FATAL failed to fetch Terraform Variables: failed to load asset "Install Config": failed to upconvert install config: cannot upconvert from version v3

Comment 4 errata-xmlrpc 2019-07-04 09:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1635


Note You need to log in before you can comment on or make changes to this bug.